Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface Library

    org.gradle.nativebinaries.Library
      org.gradle.nativebinaries.NativeComponent
          org.gradle.api.Named

All Superinterfaces:
  NativeComponent, Named

    @Incubating
    public interface Library
    extends NativeComponent

The logical representation of an library native component.

Method Summary
`SourceDirectorySet` | `getHeaders()` The headers exported by this library.
`LibraryResolver` | `getShared()` Converts this library to a native dependency that uses the shared library variant.
`LibraryResolver` | `getStatic()` Converts this library to a native dependency that uses the static library variant.

Methods inherited from interface NativeComponent
flavors, getBaseName, getBinaries, getFlavors, getSource, setBaseName, source

Methods inherited from interface Named
getName

Method Detail

### getHeaders

    public SourceDirectorySet getHeaders()

  The headers exported by this library.

### getShared

    public LibraryResolver getShared()

  Converts this library to a native dependency that uses the shared library variant. This is the default.

### getStatic

    public LibraryResolver getStatic()

  Converts this library to a native dependency that uses the static library variant.

Gradle API 1.10